Syncware
  1. Products
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Products

Create Multiple Products

POST
/products
Products
Last modified:2026-10-22 03:16:19

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.syncware.com/api/v1/products' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
    {
        "Item": {
            "id": 1,
            "item": "sample string 2",
            "desc": "sample string 3",
            "price": 1.1,
            "upc": "sample string 4",
            "vendor": "sample string 5",
            "cost": 1.1,
            "category": "sample string 6",
            "subcategory": "sample string 7",
            "units": "sample string 8",
            "min": 1,
            "imagename": "sample string 9",
            "acctg_id": "sample string 10",
            "avail": 1,
            "avail_date": "2021-06-12T15:23:03.000Z",
            "inactive": 1,
            "wholesale_price": 1.1,
            "comments": "sample string 11",
            "multiple": 1,
            "uom": "sample string 12",
            "drop_ship": "sample string 13",
            "type": "sample string 14",
            "avail_offset": 1,
            "promo_start_date": "2021-06-12T15:23:03.000Z",
            "promo_end_date": "2021-06-12T15:23:03.000Z",
            "promo_type": "sample string 15",
            "promo_value": 1.1,
            "is_special": true,
            "is_bestseller": true,
            "qty_on_sales_order": 1,
            "date_created": "2021-06-12T15:23:03.000Z",
            "imagename2": "sample string 16",
            "force_multiple": true,
            "prev_avail": 1,
            "parent": "sample string 17",
            "style": "sample string 18",
            "color": "sample string 19",
            "width": "sample string 20",
            "size": "sample string 21",
            "gender": "sample string 22",
            "season": "sample string 23",
            "gl_sales_acct": "sample string 24",
            "msrp": 1.1,
            "last_updated": "2021-06-12T15:23:03.000Z",
            "custom_a": "sample string 25",
            "custom_b": "sample string 26",
            "custom_c": "sample string 27",
            "custom_d": "sample string 28",
            "custom_e": "sample string 29",
            "weight": 1.1,
            "last_changed": "2021-06-12T15:23:03.000Z",
            "xml_data": "sample string 30",
            "inactive_date": "2021-06-12T15:23:03.000Z",
            "upload_to": "SHOPIFY,FAIRE",
            "do_not_replenish": true,
            "max": 1,
            "onorder": 1,
            "to_delete": true,
            "sku": "sample string 32",
            "whs_inv": 1,
            "promo_pricelevel_discount": 1.1,
            "upload_to_chain": "ACE HARDWARE,WALMART"
        },
        "Image": "QEA="
    }
]'
Response Response Example
[
    {
        "id": 1,
        "item": "sample string 2",
        "desc": "sample string 3",
        "price": 1.1,
        "upc": "sample string 4",
        "vendor": "sample string 5",
        "cost": 1.1,
        "category": "sample string 6",
        "subcategory": "sample string 7",
        "units": "sample string 8",
        "min": 1,
        "imagename": "sample string 9",
        "acctg_id": "sample string 10",
        "avail": 1,
        "avail_date": "2021-06-12T15:23:03.000Z",
        "inactive": 1,
        "wholesale_price": 1.1,
        "comments": "sample string 11",
        "multiple": 1,
        "uom": "sample string 12",
        "drop_ship": "sample string 13",
        "type": "sample string 14",
        "avail_offset": 1,
        "promo_start_date": "2021-06-12T15:23:03.000Z",
        "promo_end_date": "2021-06-12T15:23:03.000Z",
        "promo_type": "sample string 15",
        "promo_value": 1.1,
        "is_special": true,
        "is_bestseller": true,
        "qty_on_sales_order": 1,
        "date_created": "2021-06-12T15:23:03.000Z",
        "imagename2": "sample string 16",
        "force_multiple": true,
        "prev_avail": 1,
        "parent": "sample string 17",
        "style": "sample string 18",
        "color": "sample string 19",
        "width": "sample string 20",
        "size": "sample string 21",
        "gender": "sample string 22",
        "season": "sample string 23",
        "gl_sales_acct": "sample string 24",
        "msrp": 1.1,
        "last_updated": "2021-06-12T15:23:03.000Z",
        "custom_a": "sample string 25",
        "custom_b": "sample string 26",
        "custom_c": "sample string 27",
        "custom_d": "sample string 28",
        "custom_e": "sample string 29",
        "weight": 1.1,
        "last_changed": "2021-06-12T15:23:03.000Z",
        "xml_data": "sample string 30",
        "inactive_date": "2021-06-12T15:23:03.000Z",
        "upload_to": "sample string 31",
        "do_not_replenish": true,
        "max": 1,
        "onorder": 1,
        "to_delete": true,
        "sku": "sample string 32",
        "whs_inv": 1,
        "promo_pricelevel_discount": 1.1,
        "upload_to_chain": "WALMART"
    }
]
Previous
Query All Products
Next
Update Single Product
Built with